Name:           bzr-fastimport
Version:        0.13.0
Release:        9%{?dist}
Summary:        Bzr plugin for fast loading of data from other VCS tools
Group:          Development/Languages
# Some modules in the exporters/ subdir are MIT-licensed.
License:        GPLv2+ and MIT
URL:            https://launchpad.net/bzr-fastimport
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  bzr
Requires:       bzr
Requires:       python-fastimport

%description
Bazaar Fast Import is a plugin providing fast loading of revision control data 
into Bazaar. It is designed to be used in combination with front-end programs 
that generate a command/data stream for it to process. Front-ends are available 
for a wide range of foreign VCS tools including Subversion, CVS, Git, 
Mercurial, Darcs and Perforce. New front-ends are easy to develop in 
whatever programming language you prefer, making Bazaar Fast Import useful 
for teams needing a custom migration solution.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc COPYING.txt NEWS README.txt
%{python_sitelib}/bzr_fastimport-*.egg-info
%{python_sitelib}/bzrlib/plugins/fastimport

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Dan Callaghan <dcallagh@redhat.com> - 0.13.0-4
- s/python-setuptools-devel/python-setuptools/
  https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Dan Callaghan <dcallagh@redhat.com> - 0.13.0-1
- upstream release 0.13.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 29 2012 Dan Callaghan <dcallagh@redhat.com> - 0.12.0-1
- upstream release 0.12.0

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 12 2011 Dan Callaghan <dcallagh@redhat.com> - 0.11.0-2
- added a note to the spec about incorrect license header

* Thu Oct 06 2011 Dan Callaghan <dcallagh@redhat.com> - 0.11.0-1
- update to 0.11.0

* Wed Aug 10 2011 Dan Callaghan <dcallagh@redhat.com> - 0.10.0-2
- use a patch instead of sed for removing erroneous shebangs

* Thu Jun 16 2011 Dan Callaghan <dcallagh@redhat.com> - 0.10.0-1
- initial version
